# Copyright (C) 2025 by Animath
# SPDX-License-Identifier: GPL-3.0-or-later

from django.contrib import admin

from .models import Survey


@admin.register(Survey)
class SurveyAdmin(admin.ModelAdmin):
    list_display = ('survey_id', 'name', 'invite_team', 'invite_coaches', 'tournament',)
    list_filter = ('invite_team', 'invite_coaches', 'tournament',)
    search_fields = ('name',)
