# Generated by Django 5.1.5 on 2025-03-19 21:12

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        (
            "participation",
            "0023_tournament_unified_registration",
        ),
        ("registration", "0014_participantregistration_country"),
    ]

    operations = [
        migrations.CreateModel(
            name="Survey",
            fields=[
                (
                    "survey_id",
                    models.IntegerField(
                        help_text="The numeric identifier of the Limesurvey.",
                        primary_key=True,
                        serialize=False,
                        verbose_name="survey identifier",
                    ),
                ),
                ("name", models.CharField(max_length=255, verbose_name="display name")),
                (
                    "invite_team",
                    models.BooleanField(
                        default=False,
                        help_text="When this field is checked, teams will get only one survey invitation instead of one per person.",
                        verbose_name="invite whole team",
                    ),
                ),
                (
                    "invite_coaches",
                    models.BooleanField(
                        default=True,
                        help_text="When this field is checked, coaches will also be invited in the survey. No effect when the whole team is invited.",
                        verbose_name="invite coaches",
                    ),
                ),
                (
                    "completed_registrations",
                    models.ManyToManyField(
                        related_name="completed_surveys",
                        to="registration.participantregistration",
                        verbose_name="participants that completed the survey",
                    ),
                ),
                (
                    "completed_teams",
                    models.ManyToManyField(
                        related_name="completed_surveys",
                        to="participation.team",
                        verbose_name="teams that completed the survey",
                    ),
                ),
                (
                    "tournament",
                    models.ForeignKey(
                        blank=True,
                        default=None,
                        help_text="When this field is filled, the survey participants will be restricted to this tournament members.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="participation.tournament",
                        verbose_name="tournament restriction",
                    ),
                ),
            ],
            options={
                "verbose_name": "survey",
                "verbose_name_plural": "surveys",
            },
        ),
    ]
